scala.tools.nsc.backend.icode.Members

# Local

#### class Local extends AnyRef

Represent local variables and parameters

Source
  Members.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Local
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Local(sym: Global.Symbol, kind: ICodes.TypeKind, arg: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ICodes.Local to any2stringadd[ICodes.Local] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ICodes.Local, B)

   Implicit information
     This member is added by an implicit conversion from ICodes.Local to ArrowAssoc[ICodes.Local] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val arg: Boolean

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (ICodes.Local) ⇒ Boolean, msg: ⇒ Any): ICodes.Local

   Implicit information
     This member is added by an implicit conversion from ICodes.Local to Ensuring[ICodes.Local] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (ICodes.Local) ⇒ Boolean): ICodes.Local

    Implicit information
      This member is added by an implicit conversion from ICodes.Local to Ensuring[ICodes.Local] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): ICodes.Local

    Implicit information
      This member is added by an implicit conversion from ICodes.Local to Ensuring[ICodes.Local] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): ICodes.Local

    Implicit information
      This member is added by an implicit conversion from ICodes.Local to Ensuring[ICodes.Local] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(other: Any): Boolean

    Definition Classes
      Local → AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ICodes.Local to StringFormat[ICodes.Local] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      Local → AnyRef → Any

19. #### var index: Int

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### val kind: ICodes.TypeKind

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val sym: Global.Symbol

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      Local → AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (ICodes.Local, B)

    Implicit information
      This member is added by an implicit conversion from ICodes.Local to ArrowAssoc[ICodes.Local] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ICodes.Local to any2stringadd[ICodes.Local]

### Inherited by implicit conversion StringFormat from ICodes.Local to StringFormat[ICodes.Local]

### Inherited by implicit conversion Ensuring from ICodes.Local to Ensuring[ICodes.Local]

### Inherited by implicit conversion ArrowAssoc from ICodes.Local to ArrowAssoc[ICodes.Local]

### Ungrouped